/**
 *
 */
package de.intevation.gnv.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class DoExportAction extends DoOutputAction {

    /**
     * the logger, used to log exceptions and additonaly information
     */
    private static Logger log = Logger.getLogger(DoExportAction.class);
    
    /**
     * Constructor
     */
    public DoExportAction() {
        super();
    }

    @Override
    protected void setHeaders(String target, String mimeType,
            HttpServletResponse response, HttpServletRequest request) {
        log.debug("DoExportAction.setHeaders");
        try {
            super.setHeaders(target, mimeType, response, request);
            String fileName = "GNVEXPORT_"+System.currentTimeMillis()+".";
            
            if (target.equalsIgnoreCase("chart")){
                fileName = fileName + mimeType.substring(mimeType.indexOf("/")+1);
            }else if (target.equalsIgnoreCase("CSV")){
                fileName = fileName +"csv";
            }else{
                fileName = fileName +"txt";
            }
            log.debug("FileName for Export: "+fileName);
            response.setHeader("Content-Disposition","attachment;filename="+fileName);
        } catch (Exception e) {
            log.error(e,e);
        }
    }

    
}
